umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
testllvm.cpp File Reference
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/CommandLine.h"`

## Functions
static cl::OptionCategory | MyToolCategory ("my-tool options")
static cl::extrahelp | CommonHelp (CommonOptionsParser::HelpMessage)
static cl::extrahelp | MoreHelp ("\nMore help text...")
int | main (int argc, const char **argv)

## Function Documentation

## ◆ CommonHelp()

static cl::extrahelp CommonHelp | ( | CommonOptionsParser::HelpMessage |  | ) |
| static

## ◆ main()

int main | ( | int | argc,
|  | const char ** | argv )

## ◆ MoreHelp()

static cl::extrahelp MoreHelp | ( | "\nMore help text..." |  | ) |
| static

## ◆ MyToolCategory()

static cl::OptionCategory MyToolCategory | ( | "my-tool options" |  | ) |
| static